post by yamamoto | 0 | 1,061 views

古くなったmacportsの再インストール

いま使っているMacBook pro(Lion)は、古いMacBook pro (Snow Leopard)から移行したものなので、macportsも古いままでした。

sudo port selfupdate はできますが、突然 sudo port upgrade outdated がエラーなってしまいました。

いろいろ調べてmacports を一旦削除して最新の2.2.1にしましたが、Unable to execute port: can't read "build.cmd"のエラーが出てきて、sudo port install perl5 で perl をインストールすることができませんでした。

Xcodeを再インストールするとか、いろいろ方法がネットで公開されていますが、私の場合は、Xcode の Preferences からDownloadsにあるCommand Line ToolCommand Line Toolsをインストールしたことで直りました。 ちなみにこちらから、iOS 5.0 Simulator と iOS 4.3 Simulator のインストールもできます。

Comments are closed.